package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.StoreBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装流量分析-流量报表Vo对象
 * @author wuxy
 */
@Data
public class AdminFlowReportVO {

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("店铺访客数")
    private Integer storeVisitorNum;

    @ApiModelProperty("店铺浏览量")
    private Integer storeViewNum;

    @ApiModelProperty("商品访客数")
    private Integer goodsVisitorNum;

    @ApiModelProperty("商品浏览量")
    private Integer goodsViewNum;

    public AdminFlowReportVO(StoreBase storeBase) {
        this.storeId = storeBase.getStoreId();
        this.storeName = storeBase.getStoreName();
        this.storeVisitorNum = storeBase.getVisitorNum();
        this.storeViewNum = storeBase.getViewNum();
        this.goodsVisitorNum = storeBase.getGoodsVisitorNum();
        this.goodsViewNum = storeBase.getGoodsViewNum();
    }
}
